<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="3.5">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <ProductVersion>9.0.30428</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{4F32C0C2-FA92-4B1D-A536-25E10E2CA59A}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>Microsoft.Samples.Workflow.Activities</RootNamespace>
    <AssemblyName>SqlDatabaseActivity</AssemblyName>
    <ProjectTypeGuids>{14822709-B5A1-4724-98CA-57A101D1B079};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <WarningLevel>4</WarningLevel>
    <RunPostBuildEvent>OnOutputUpdated</RunPostBuildEvent>
    <SignAssembly>true</SignAssembly>
    <AssemblyOriginatorKeyFile>SqlDatabase.snk</AssemblyOriginatorKeyFile>
    <SccProjectName>SAK</SccProjectName>
    <SccLocalPath>SAK</SccLocalPath>
    <SccAuxPath>SAK</SccAuxPath>
    <SccProvider>SAK</SccProvider>
    <TargetFrameworkVersion>v3.0</TargetFrameworkVersion>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <OldToolsVersion>2.0</OldToolsVersion>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)' == 'Debug' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <UseVSHostingProcess>false</UseVSHostingProcess>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)' == 'Release' ">
    <DebugSymbols>false</DebugSymbols>
    <Optimize>true</Optimize>
    <OutputPath>..\..\bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <UseVSHostingProcess>false</UseVSHostingProcess>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Workflow.Activities, Version=3.0.00000.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\..\WINDOWS\Microsoft.NET\Framework\v3.0.00000.0\Windows Workflow Foundation\System.Workflow.Activities.dll</HintPath>
      <Name>System.Workflow.Activities</Name>
      <SpecificVersion>True</SpecificVersion>
      <Aliases>global</Aliases>
      <ExecutableExtension>.dll</ExecutableExtension>
    </Reference>
    <Reference Include="System.Workflow.ComponentModel, Version=3.0.00000.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\..\WINDOWS\Microsoft.NET\Framework\v3.0.00000.0\Windows Workflow Foundation\\System.Workflow.ComponentModel.dll</HintPath>
      <Name>System.Workflow.ComponentModel</Name>
      <SpecificVersion>True</SpecificVersion>
      <Aliases>global</Aliases>
      <ExecutableExtension>.dll</ExecutableExtension>
    </Reference>
    <Reference Include="System.Workflow.Runtime, Version=3.0.00000.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\..\WINDOWS\Microsoft.NET\Framework\v3.0.00000.0\Windows Workflow Foundation\\System.Workflow.Runtime.dll</HintPath>
      <Name>System.Workflow.Runtime</Name>
      <SpecificVersion>True</SpecificVersion>
      <Aliases>global</Aliases>
      <ExecutableExtension>.dll</ExecutableExtension>
    </Reference>
    <Reference Include="System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\..\..\WINDOWS\Microsoft.NET\Framework\v2.0.40426\System.dll</HintPath>
      <Name>System</Name>
      <SpecificVersion>True</SpecificVersion>
      <Aliases>global</Aliases>
      <ExecutableExtension>.dll</ExecutableExtension>
    </Reference>
    <Reference Include="System.Data, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=x86">
      <HintPath>..\..\..\WINDOWS\Microsoft.NET\Framework\v2.0.40426\System.Data.dll</HintPath>
      <Name>System.Data</Name>
      <SpecificVersion>True</SpecificVersion>
      <Aliases>global</Aliases>
      <ExecutableExtension>.dll</ExecutableExtension>
    </Reference>
    <Reference Include="System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\..\..\WINDOWS\Microsoft.NET\Framework\v2.0.40426\System.Design.dll</HintPath>
      <Name>System.Design</Name>
      <SpecificVersion>True</SpecificVersion>
      <Aliases>global</Aliases>
      <ExecutableExtension>.dll</ExecutableExtension>
    </Reference>
    <Reference Include="System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\..\..\WINDOWS\Microsoft.NET\Framework\v2.0.40426\System.Drawing.dll</HintPath>
      <Name>System.Drawing</Name>
      <SpecificVersion>True</SpecificVersion>
      <Aliases>global</Aliases>
      <ExecutableExtension>.dll</ExecutableExtension>
    </Reference>
    <Reference Include="System.Drawing.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\..\..\WINDOWS\Microsoft.NET\Framework\v2.0.40426\System.Drawing.Design.dll</HintPath>
      <Name>System.Drawing.Design</Name>
      <SpecificVersion>True</SpecificVersion>
      <Aliases>global</Aliases>
      <ExecutableExtension>.dll</ExecutableExtension>
    </Reference>
    <Reference Include="System.Transactions, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\..\..\WINDOWS\Microsoft.NET\Framework\v2.0.40426\System.Transactions.dll</HintPath>
      <Name>System.Transactions</Name>
      <SpecificVersion>True</SpecificVersion>
      <Aliases>global</Aliases>
      <ExecutableExtension>.dll</ExecutableExtension>
    </Reference>
    <Reference Include="System.Xml, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\..\..\WINDOWS\Microsoft.NET\Framework\v2.0.40426\System.XML.dll</HintPath>
      <Name>System.XML</Name>
      <SpecificVersion>True</SpecificVersion>
      <Aliases>global</Aliases>
      <ExecutableExtension>.dll</ExecutableExtension>
    </Reference>
    <Reference Include="System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=x86">
      <HintPath>..\..\..\WINDOWS\Microsoft.NET\Framework\v2.0.40426\System.Web.dll</HintPath>
      <Name>System.Web</Name>
      <SpecificVersion>True</SpecificVersion>
      <Aliases>global</Aliases>
      <ExecutableExtension>.dll</ExecutableExtension>
    </Reference>
    <Reference Include="System.Web.Services, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\..\..\WINDOWS\Microsoft.NET\Framework\v2.0.40426\System.Web.Services.dll</HintPath>
      <Name>System.Web.Services</Name>
      <SpecificVersion>True</SpecificVersion>
      <Aliases>global</Aliases>
      <ExecutableExtension>.dll</ExecutableExtension>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="SqlDatabaseDesignerTheme.cs" />
    <Compile Include="FlaggedEnumEditor.cs" />
    <Compile Include="SqlSourceTableConverter.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="SqlDatabase.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="SqlDatabase.Designer.cs">
      <DependentUpon>SqlDatabase.cs</DependentUpon>
    </Compile>
    <Compile Include="SqlDatabaseDesigner.cs" />
    <Compile Include="SqlCommandTextConverter.cs">
    </Compile>
    <Compile Include="SqlDatabaseHelper.cs" />
    <Compile Include="SqlDatabaseValidator.cs" />
    <Compile Include="SqlParameterPropertyDescriptor.cs">
    </Compile>
    <AppDesigner Include="Properties\" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Resources\SqlDatabase.png" />
  </ItemGroup>
  <ItemGroup>
    <Service Include="{B4F97281-0DBD-4835-9ED8-7DFB966E87FF}" />
  </ItemGroup>
  <ItemGroup>
    <None Include="SqlDatabase.snk" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.Targets" />
  <Import Project="$(MSBuildExtensionsPath)\Microsoft\Windows Workflow Foundation\v3.5\Workflow.Targets" />
  <PropertyGroup>
    <PostBuildEvent>gacutil -i "$(TargetPath)"</PostBuildEvent>
  </PropertyGroup>
</Project>